
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>[android]使用jdb调试android应用程序 / iVAN</title>

    <meta name="description" content="[android]使用jdb调试android应用程序 ﻿﻿觉得eclipse太过臃肿,或者机器资源有限,不妨试试用jdb命令行中调试java程序.先要确保adb工作正常,用adb jdwp列出支持JDPW的进程ID. 835 $ adb jdwp: 876 873 879 926 956 989 999 1010 1022 用adb shell ps查看进程的信息.  system 835 793 208564 29768 ffffffff afe0c57c S system_server radio 873 793 112816 21252 ff">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">[android]使用jdb调试android应用程序</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>﻿﻿觉得eclipse太过臃肿,或者机器资源有限，不妨试试用jdb命令行中调试java程序。先要确保adb工作正常，用adb jdwp列出支持JDPW的进程ID。 
<pre><code>835
$ adb jdwp：
876
873
879
926
956
989
999
1010
1022</code></pre>
<p>用adb shell ps查看进程的信息。 
<pre><code>system 835 793 208564 29768 ffffffff afe0c57c S system_server
radio 873 793 112816 21252 ffffffff afe0d674 S com.android.phone
app_8 876 793 98044 17336 ffffffff afe0d674 S android.process.media
app_7 879 793 123780 28452 ffffffff afe0d674 S android.process.acore
app_0 926 793 104916 18372 ffffffff afe0d674 S com.google.process.gapps
app_11 956 793 96008 16392 ffffffff afe0d674 S com.android.alarmclock
app_16 989 793 105304 16772 ffffffff afe0d674 S com.android.mms
app_23 999 793 96324 15552 ffffffff afe0d674 S org.broncho.powermonitor
app_19 1010 793 98492 16044 ffffffff afe0d674 S com.android.setupwizard
app_7 1022 793 106708 19204 ffffffff afe0d674 S com.android.inputmethod.pinyin</code></pre>
<p>确定要调试的进程ID之后，建立网络数据转发关系。 <br />假设这里要调试进程873。 
<pre><code>adb forward tcp:9000 jdwp:873</code></pre>
<p>设置jdb源代码路径，这里设置了android系统内的JAVA路径，如果调试自己的应用程序 ，可以加在后面。 
<pre><code>export ANDROID_SRC=/broncho/cupcake/dev
export ANDROID_SRC_PATH=$ANDROID_SRC/frameworks/base/opengl/java:$ANDROID_SRC/frameworks/base/awt/java:$ANDROID_SRC/frameworks/base/core/java:$ANDROID_SRC/frameworks/base/location/java:$ANDROID_SRC/frameworks/base/sax/java:$ANDROID_SRC/frameworks/base/graphics/java:$ANDROID_SRC/frameworks/base/telephony/java:$ANDROID_SRC/frameworks/base/services/java:$ANDROID_SRC/frameworks/base/media/java:$ANDROID_SRC/frameworks/base/wifi/java:$ANDROID_SRC/frameworks/base/im/java:$ANDROID_SRC/dalvik/libcore/suncompat/src/main/java:$ANDROID_SRC/dalvik/libcore/nio_char/src/main/java:$ANDROID_SRC/dalvik/libcore/nio_char/src/main/java/java:$ANDROID_SRC/dalvik/libcore/security-kernel/src/main/java:$ANDROID_SRC/dalvik/libcore/security-kernel/src/main/java/java:$ANDROID_SRC/dalvik/libcore/security/src/main/java:$ANDROID_SRC/dalvik/libcore/security/src/main/java/java:$ANDROID_SRC/dalvik/libcore/archive/src/main/java:$ANDROID_SRC/dalvik/libcore/archive/src/main/java/java:$ANDROID_SRC/dalvik/libcore/awt-kernel/src/main/java:$ANDROID_SRC/dalvik/libcore/awt-kernel/src/main/java/java:$ANDROID_SRC/dalvik/libcore/luni/src/main/java:$ANDROID_SRC/dalvik/libcore/luni/src/main/java/java:$ANDROID_SRC/dalvik/libcore/math/src/main/java:$ANDROID_SRC/dalvik/libcore/math/src/main/java/java:$ANDROID_SRC/dalvik/libcore/x-net/src/main/java:$ANDROID_SRC/dalvik/libcore/openssl/src/main/java:$ANDROID_SRC/dalvik/libcore/dalvik/src/main/java:$ANDROID_SRC/dalvik/libcore/auth/src/main/java:$ANDROID_SRC/dalvik/libcore/concurrent/src/main/java:$ANDROID_SRC/dalvik/libcore/concurrent/src/main/java/java:$ANDROID_SRC/dalvik/libcore/sql/src/main/java:$ANDROID_SRC/dalvik/libcore/sql/src/main/java/java:$ANDROID_SRC/dalvik/libcore/prefs/src/main/java:$ANDROID_SRC/dalvik/libcore/prefs/src/main/java/java:$ANDROID_SRC/dalvik/libcore/xml/src/main/java:$ANDROID_SRC/dalvik/libcore/text/src/main/java:$ANDROID_SRC/dalvik/libcore/text/src/main/java/java:$ANDROID_SRC/dalvik/libcore/luni-kernel/src/main/java:$ANDROID_SRC/dalvik/libcore/luni-kernel/src/main/java/java:$ANDROID_SRC/dalvik/libcore/regex/src/main/java:$ANDROID_SRC/dalvik/libcore/regex/src/main/java/java:$ANDROID_SRC/dalvik/libcore/nio/src/main/java:$ANDROID_SRC/dalvik/libcore/nio/src/main/java/java:$ANDROID_SRC/dalvik/libcore/json/src/main/java:$ANDROID_SRC/dalvik/libcore/crypto/src/main/java:$ANDROID_SRC/dalvik/libcore/icu/src/main/java:$ANDROID_SRC/dalvik/libcore/annotation/src/main/java:$ANDROID_SRC/dalvik/libcore/annotation/src/main/java/java:$ANDROID_SRC/dalvik/libcore/junit/src/main/java:$ANDROID_SRC/dalvik/libcore/logging/src/main/java:$ANDROID_SRC/dalvik/libcore/logging/src/main/java/java:$ANDROID_SRC/dalvik/libcore-disabled/instrument/src/main/java:$ANDROID_SRC/dalvik/libcore-disabled/instrument/src/main/java/java:$ANDROID_SRC/dalvik/libcore-disabled/sound/src/main/java</code></pre>
<p>启动jdb 
<pre><code>jdb -sourcepath $ANDROID_SRC_PATH -attach localhost:9000</code></pre>
<p>这里的端口号9000，是由前面的tcp:9000决定。然后就可以使用jdb的各种调试命令了。方便起见可以使用jdbshell。 </p>
<p>附： <br />jdb/jdbshell基本调试技巧： </p>
<p>jdbshell兼容所有jdb命令，只是另外加了些命令缩写、记录历史、命令自动补全和命令行编辑等功能。 </p>
<p>1.用threads查询所有线程： <br />命令： 
<pre><code>threads
</code></pre>
<p>结果显示示例： 
<pre><code>组 system：
(java.lang.Thread)0xc14360d1e8 &lt;7&gt; Signal Catcher 条件正在等待
(java.lang.Thread)0xc142850040 &lt;5&gt; HeapWorker 条件正在等待
组 main：
(java.lang.Thread)0xc140018e50 &lt;3&gt; main 条件正在等待
(java.lang.Thread)0xc143767c78 &lt;59&gt; Binder Thread #16 正在运行
(java.lang.Thread)0xc143744d48 &lt;57&gt; Binder Thread #15 正在运行
(java.lang.Thread)0xc143757458 &lt;51&gt; Binder Thread #14 正在运行
(java.lang.Thread)0xc14374ab88 &lt;55&gt; Binder Thread #13 正在运行
(java.lang.Thread)0xc14376d698 &lt;53&gt; Binder Thread #12 正在运行
(java.lang.Thread)0xc143615478 &lt;45&gt; Binder Thread #11 正在运行
(java.lang.Thread)0xc1437317b0 &lt;49&gt; Binder Thread #10 正在运行
(java.lang.Thread)0xc1436e8c38 &lt;47&gt; Binder Thread #9 正在运行
(java.lang.Thread)0xc14374eb50 &lt;43&gt; Binder Thread #8 正在运行
(java.lang.Thread)0xc1437000e0 &lt;41&gt; Binder Thread #7 正在运行
(android.os.HandlerThread)0xc1436dd9d0 &lt;37&gt; ContactsAsyncWorker 条件正在等待
(java.lang.Thread)0xc143681fb8 &lt;35&gt; Binder Thread #6 正在运行
(java.lang.Thread)0xc143681ef8 &lt;33&gt; Binder Thread #5 正在运行
(java.lang.Thread)0xc143659170 &lt;31&gt; Stk App Service 条件正在等待
(java.lang.Thread)0xc14368bc88 &lt;29&gt; Binder Thread #4 正在运行
(java.lang.Thread)0xc14368ad00 &lt;27&gt; Binder Thread #3 正在运行
(android.os.HandlerThread)0xc1436597a0 &lt;25&gt; AsyncQueryWorker 条件正在等待
(android.os.HandlerThread)0xc143656c00 &lt;23&gt; Stk Icon Loader 条件正在等待
(android.os.HandlerThread)0xc143656580 &lt;21&gt; RilMessageDecoder 条件正在等待
(android.os.HandlerThread)0xc1436560a0 &lt;19&gt; Stk Telephony service 条件正在等待
(java.lang.Thread)0xc143643c70 &lt;17&gt; RILReceiver 正在运行
(android.os.HandlerThread)0xc143641858 &lt;15&gt; RILSender 条件正在等待
(java.lang.Thread)0xc14360ee08 &lt;13&gt; Binder Thread #2 正在运行
(java.lang.Thread)0xc14360df90 &lt;11&gt; Binder Thread #1 正在运行</code></pre>
<p>2.选择你感兴趣的线程。 <br />命令： 
<pre><code>thread 0xc1436dd9d0</code></pre>
<p>结果显示示例： 
<pre><code>&lt;37&gt; ContactsAsyncWorker[1]</code></pre>
<p>和gdb不同的是，这里使用线程的ID，而不是线程的序号。这个问题让我折腾了好久，问了好几个做JAVA的朋友，原来他们都不用jdb。 </p>
<p>3.暂停线程。 <br />命令： 
<pre><code>suspend 0xc1436dd9d0</code></pre>
<p>4.显示调用堆栈。 <br />命令： 
<pre><code>wherei</code></pre>
<p>结果显示示例： 
<pre><code>[1] java.lang.Object.wait (本机方法)
[2] java.lang.Object.wait (Object.java：288), pc = 3
[3] android.os.MessageQueue.next (MessageQueue.java：148), pc = 153
[4] android.os.Looper.loop (Looper.java：110), pc = 8
[5] android.os.HandlerThread.run (HandlerThread.java：60), pc = 28
</code></pre>
<p>5.切换调用堆栈的frame: </p>
<p>命令： <br />up [n 帧] – 向上移动线程的堆栈 <br />down [n 帧] – 向下移动线程的堆栈 </p>
<p>和gdb不同的时，这里指定的是要切换的frame与当前frame的偏移，而不是frame的索引。 </p>
<p>结果显示示例： 
<pre><code>&lt;37&gt; ContactsAsyncWorker[1] up
&lt;37&gt; ContactsAsyncWorker[2]</code></pre>
<p>6.设置断点 </p>
<p>命令： 
<pre><code>stop at &lt;类&gt;:&lt;行号&gt; 或
stop in &lt;类&gt;.&lt;方法名&gt;[(参数类型,...)]</code></pre>
<p>结果显示示例：
<pre><code>&gt; stop at com.android.phone.SimContacts$ImportAllThread:124
设置 断点 com.android.phone.SimContacts$ImportAllThread:124</code></pre>
<p>7.显示某个类的信息。有时要在嵌套类里设置断点，这个命令可能有帮助。 <br />命令： <br />class &lt;类 ID&gt; – 显示已命名的类的详细信息 </p>
<p>结果显示示例： 
<pre><code>&gt;class com.android.phone.SimContacts
类：com.android.phone.SimContacts
扩展： com.android.phone.ADNList
嵌套： com.android.phone.SimContacts$ImportAllThread</code></pre>
<p>8.继续运行 <br />命令： 
<pre><code>step – 执行当前行
step up – 执行到当前方法返回到其调用程序
stepi – 执行当前指令
next – 跳过一行（跨过调用）
cont – 从断点处继续执行</code></pre>
<p>9.清除断点 <br />命令： 
<pre><code>clear &lt;类 ID&gt;.&lt;方法&gt;[(参数类型,...)] – 清除方法中的断点
clear &lt;类 ID&gt;:&lt;行&gt; – 清除行中的断点
clear – 列出断点</code></pre>
<p>10.查看源代码 <br />命令： <br />list [line number|method] – 输出源代码 </p>
<p>11.jdbshell命令缩写 
<pre><code>command alias:
c — cont
l — list
n — next
r — run
s — step
si — stepi
f — step up
bt — wherei</code></pre>
<p><ul>
<li><a href="http://dl.iteye.com/topics/download/ed5eefe1-ba70-343d-9bde-04f10551c3c3" rel="external nofollow noreferrer">jdbshell.tar.gz</a> (2.8 KB)</li>
<li>下载次数: 10</li>
</ul>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 14:51:34</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/jdb/" title="jdb">jdb</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>[android]使用jdb调试android应用程序的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze6aJVb.html" rel="bookmark">&lbrack;Android 调试&rsqb; chrome 调试android 程序中的 webview</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 [Android 调试] chrome 调试android 程序中的 webview RT,pc chrome版本 44.0.2369.0 m ,调试手机中的 chrome 程序没有问题,调试自己应用中的webview时,chrome://inspect/#devices 页面正常,也能看到我的html,点击inspect 时,空白窗口一闪而过,多点击几次 出现 &quot;Cannot load DevTools frontend from an untrusted origin?remote			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKQNJdp.html" rel="bookmark">ndk-gdb 调试-android机程序gdb调试</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android机程序gdb调试 用ndk-gdb在android真机调试时,发现地址发生的偏移,变量n的实际地址是0x5a1f2e24, 但是gdb调试时 p &amp;n 打印的却是 0x5a1f2d24,地址向低处偏移了256个字节,会是哪里的问题? 解决方案 http://laokaddk.blog.51cto.com/368606/1162257/ 解决方案二: 用GDB调试程序用GDB调试程序GDB调试程序			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boRWEVz.html" rel="bookmark">sdk-使用真机调试android程序遇到的奇怪问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 使用真机调试android程序遇到的奇怪问题 我使用的是?httputil?发请求,它给我回的是一段?json?字符串,我用?android5.0.2?的手机调试时,能正确返回?json?字符串,格式如下?: {&quot;desc&quot;:&quot;OK&quot;,&quot;status&quot;:1000,&quot;data&quot;:{&quot;wendu&quot;:&quot;21&quot;,&quot;ganmao&quot;:&quot;天气转凉,空气湿度较大,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLg4vaM.html" rel="bookmark">调试Android程序只走主线程不走子线程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 调试Android程序只走主线程不走子线程 调试Android程序只走主线程不走子线程调试Android程序只走主线程不走子线程调试Android程序只走主线程不走子线程 解决方案 断点打在run方法内 解决方案二: 启动线程要调用start方法,不要通过run方法调用,你怎么用的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlW9XVb.html" rel="bookmark">《精通Android 实例开发》&mdash;&mdash;第1章，第1&period;16节断点调试Android程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.16 断点调试Android程序 1.16.1 实例说明开发一个Android项目后,可以对工程代码进行调试处理.我们可以使用Android SDK和插件,在Eclipse集成开发环境中断点调试Android程序.其实此处设置断点和Java中的一样,可以通过双击代码左边的区域进行断点设置.在设置断点调试时,经常需要单步跟踪每个变量,相对于Android ADT独有的Logcat.TraceView以及DDMS中的其他一些工具而言,设置断点检查每个变量的运行输出更适合一些大型项目的排错或状态检			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMrKOjp.html" rel="bookmark">如何使用真机调试Android应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本篇文章主要讲解如何使用真机调试Android应用.在展开讲解之前,我们首先需要明确一件事情:使用真 机调试Android应用是非常有必要的,可以说成是必须的!原因主要有但不限于以下几点: 1)模拟器并不能模拟手机的所有功能.例如:模拟器不支持USB连接.视频捕捉.音频输入.蓝牙等,如 果你开发的应用里的有些功能模拟器无法模拟,这时只能使用真机来测试: 2)如果你开发的应用即将发布了,那一定要使用真机测试一遍.试想,你开发的应用连你自己都不去使用 .去体验,怎么能保证别人会喜欢上它呢? 3)如果			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDYrX0b.html" rel="bookmark">Android实现的截屏小程序示例&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android实现的截屏小程序.分享给大家供大家参考,具体如下: 先看截图,不过这个截屏还不够完整,头上的statusbar没有,呈黑色. 多按了几次,就成这样了,呵呵. package com.test; import android.app.Activity; import android.graphics.Bitmap; import android.graphics.Canvas; import android.graphics.Bitmap.Config; import			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgR4E3b.html" rel="bookmark">如何调试Android Framework？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linus有一句名言广为人知:Read the fucking source code. 但其实,要深入理解某个软件.框架或者系统的工作原理,仅仅「看」代码是远远不够的.就拿Android Framework来说,整个代码量非常大不说,那些个动辄几万行的类如何去理解?所以我今天要说的就是: Debug the fucking source code!! 之前分享过一个答案:大家遇到过什么 Android 兼容性问题?,这里面的有一些非常诡异的问题,我相信光靠看代码你是永远定位不出来的.还有我写的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Rlnmz.html" rel="bookmark">android 4 0-关于JNI，为什么在android 4&period;4运行正常的程序，在4&period;0上运行就报错了</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于JNI,为什么在android 4.4运行正常的程序,在4.0上运行就报错了 事情是这样的: 本身项目是基于android 4.4.2.JDK1.7 编译的,然后公司要求最低版本. 然后我将项目改成了android 2.3.3.JDK1.6编译,修改一些内容后,编译通过,在android 4.4.2的手机上运行正常. 但是现在市场部反应,在低于4.1.X的版本上运行还是有问题,因此我找来一台android 4.0.4内核的手机调试,确实报错了,在JNI模块. 报:Unsatisfi			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXvNjb.html" rel="bookmark" class="title">GOOGLE优化和百度优化有哪些本质的区别</a>
					<div>
						很多做SEO的朋友经常会有一个疑问:为什么我的网站百度排名很好,而谷歌却不见踪影?为什么我的网站谷歌排名很好,而百度却不见踪影?我在做SEO的这一年多时间里面,也一直在实践并寻找这个问题的答案,今天笔 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPd2yM.html" rel="bookmark" class="title">DOS6&period;0源程序中的硬盘引导记录源程序FDBOOT&period;ASM</a>
					<div>
						;/*; * Microsoft Confidential; * Copyright (C) Microsoft Corporation 1983 - 1991; * All Rights Reser ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLO5QaM.html" rel="bookmark" class="title">网站页面的均衡规划与选择</a>
					<div>
						1.尺寸 a)800*600能照顾到所有网友的电脑,但相当是张&quot;小报&quot;. b)1024*768渐成主流.1024*768能比800*600多出一栏的信息. c)正文页采用自适应设计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKEOvp.html" rel="bookmark" class="title">xp系统怎么升级到win7系统？</a>
					<div>
						          xp系统怎么升级到win7系统?           准备工作: win7硬盘安装器 win7镜像文件 xp怎么升级到win7? 把下载好的win7的原版镜像文件解压到非C盘以外的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgK5K5M.html" rel="bookmark" class="title">5个让网页设计师更有价值的方法</a>
					<div>
						曾经作为独立的设计师工作过,深刻体验过国内设计行业市场的种种恶劣环境,低价竞争,套模板欺骗客户,抄袭现象,欺负客户不明真相等现象,真是深恶 痛绝,在这样的恶劣环境下,设计师们怎么会有好作品的出现?恰巧 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJw7Op.html" rel="bookmark" class="title">Win7错误1079 解决方法</a>
					<div>
						Win7错误1079:此服务的账户不同于运行于同一进程上的其他服务的帐户,最近小编遇到这种奇怪的问题,相信有朋友也遇到过,下面我们来分析一下怎么解决. 原因分析: 该故障通常在由svchost服务宿主 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZBl9b.html" rel="bookmark" class="title">winpe修复系统小技巧</a>
					<div>
						  系统出现故障时大家应该都会使用winpe来修复,现在就跟着来看看吧. 先在硬盘上安装一个PE维护系统,重启电脑时在多重启动菜单选择&quot;Windows PE&quot;,系统会自动加载必要文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBGVDz.html" rel="bookmark" class="title">如何利用Windows系统中Hosts过滤广告</a>
					<div>
						  操作步骤 打开Hosts文件,路径:C:WINDOWSsystem32driversetc找到它,是不很麻烦,教你一招,直接在路径栏输入就可以了. 此目录下应该有6个文件,都是没有扩展名的,我们找 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjJovb.html" rel="bookmark" class="title">jsp实现简单的分页</a>
					<div>
						效果如下: &lt;%-- Document : page Created on : 2014-11-18, 8:55:02 Author : HJZ --%&gt; &lt;%@page conte ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3P1Op.html" rel="bookmark" class="title">java日期处理类总结：Date&sol;Calendar&sol;GregorianCalendar&sol;DateFormat&sol;SimpleDateFormat类</a>
					<div>
						java中的日期处理类总结:Date/Calendar/GregorianCalendar/DateFormat/SimpleDateFormat类 今天花了好大一点时间把java的日期类做了一下整理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EgKdM.html" rel="bookmark" class="title">ios-关于枚举block中的数组</a>
					<div>
						问题描述 关于枚举block中的数组 self.myArray = @[ [^{ NSLog(@&quot;&quot;a&quot;&quot;); } copy] [^{ NSLog(@&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEmR3z.html" rel="bookmark" class="title">mfc-MFC根据不同分辨率设置SetMenuSizes时，一般多大合适，请给出常用分辨率的</a>
					<div>
						问题描述 MFC根据不同分辨率设置SetMenuSizes时,一般多大合适,请给出常用分辨率的 如m_wndMenuBar.SetMenuSizes(CSize(36, 36), CSize(25,2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7O7kz.html" rel="bookmark" class="title">应用服务器-新手部署服务器在线求大神指点！</a>
					<div>
						问题描述 新手部署服务器在线求大神指点! 公司部署服务器,大概运行200个左右的网站应该怎么配置 用什么服务器? 求大神指点! 解决方案 Windows Server2012 Linux 都可以					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwJOdp.html" rel="bookmark" class="title">Solaris等操作系统下如何让非root用户启用小于1024号的端口</a>
					<div>
						http://yulimin.javaeye.com/blog/33424 关键字: Linux   Solaris Linux AIX Unix 1024 root port      如何让非ro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NgPqz.html" rel="bookmark" class="title">DEDECMS修改文章不修改文章发布时间 保持原有排序的办法</a>
					<div>
						下面我们说下dedecms5.7修改文章内容不修改发布时间的方法: 打开:dede文件 /dede/templets/article_edit.htm(注:如果你修改了你后台的路径这里的dede就换成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kDGxM.html" rel="bookmark" class="title">开发者亲述：个人Chrome插件被黑之后，我的应急过程全记录</a>
					<div>
						本文讲的是开发者亲述:个人Chrome插件被黑之后,我的应急过程全记录,编者按:Chrome浏览器长期以安全著称,但它也有软肋,就是插件和扩展.Chrome插件和扩展有着极高的权限,但安全主要靠开发者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZ8k4b.html" rel="bookmark" class="title">lotus 开发中遇到的防流传（系统试用）的技术</a>
					<div>
						问题描述 我开发的一个小的lotus办公系统,给客户使用后怕向外流传,大家有没有好的方法,使得系统没有我提供的注册信息或者其他方式就只能试用一个月,这种技术.请大家指教. 解决方案 解决方案二: 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Na6Bz.html" rel="bookmark" class="title">一个关于自定义3级域名的问题</a>
					<div>
						问题描述 大家好,我现在有这样一个需求.在我们本地有一个服务假设他得域名是http://www.test.com/ 我想实现的功能是假设用户访问的链接是http://www.test.com/tiya ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6N8BOM.html" rel="bookmark" class="title">c&num;窗体-C&num;中窗体控件textbox的用法</a>
					<div>
						问题描述 C#中窗体控件textbox的用法 在文本框中输入数据,判断输入数据的范围,若超出范围则重新输入,怎么写代码? 解决方案 找到你的textbox属性中textchange事件,双击后会有一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZRZdp.html" rel="bookmark" class="title">使用快照策略和镜像备份数据</a>
					<div>
						很多客户在使用ECS,将应用部署到云端后,并不重视对数据的保护,几乎不采取任何有效的备份措施,因此我们经常遇到数据丢失无法找回的案例. 数据的丢失往往并不是云平台本身的问题,ECS提供的是底层硬件.虚 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0oy0M.html" rel="bookmark" class="title">我国新闻网站收费的可能性有多大？</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 美国新闻集团掌门人鲁伯特·默多克日 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLAGRM.html" rel="bookmark" class="title">extjs根据不同的选项来改变控件</a>
					<div>
						问题描述 extjs根据不同的选项来改变控件 有一个combx 选项是'按值输入','按时期输入',一个文本控件,当combox选项是按值输入,那这个文本控件就可以输入值,当combox选项是'按时期 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvn5J1M.html" rel="bookmark" class="title">中国云计算规模年均复合增长率达91&period;5&percnt;</a>
					<div>
						本文讲的是中国云计算规模年均复合增长率达91.5%,全球云计算基础设施建设速度不断加快,主要集中分布在美国欧洲日本中国等地区.其中美欧日等发达国家在技术和设备上占据主导地位,新兴市场如中国印度等国家把 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JlgWz.html" rel="bookmark" class="title">冠豪高新欲吞粤华包B诚通集团整合中纸资产</a>
					<div>
						夏晓柏:彭立国 拖延三年之后,央企中国诚通集团(下称诚通集团)整合旗下中国纸业投资总公司(下称中纸公司)纸业资产的计划终于&quot;蹒跚起步&quot;. 9月23日,停牌三个多月的冠豪高新(600 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYX75Vb.html" rel="bookmark" class="title">图像匹配方向的一些疑问</a>
					<div>
						问题描述 图像匹配方向的一些疑问 请问各位大神,图像匹配,模板匹配有哪些较新或较热的研究方向,如果侧重工业检测方面,图像匹配是不是要简单些 解决方案 顶					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoGXwM.html" rel="bookmark" class="title">用python做自动化测试&mdash;Monkeyrunner问题的解决方案</a>
					<div>
						Monkeyrunner为Andriod SDK 嫡亲的测试工具,功能还是很强大的,但Andriod的测试技术发展比较晚,所以目前国内的教程和例子比较少,很多功能没有发掘出来. Monkeyrunne ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Rjo6z.html" rel="bookmark" class="title">各位老鸟们，帮小弟参谋参谋一下！LOTUS NOTES 还是JAVA？</a>
					<div>
						问题描述 小弟,大学刚毕业,进入软件行业,没多久,应聘来到一家公司,待遇同行中比不上.但是进来时以为是让我做JAVA,因为本人是比较喜欢JAVA的,虽然水平不怎么样,但算是自己比较喜欢的一门语言,但公 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEK306p.html" rel="bookmark" class="title">直播 &vert; 2017年第一届PostgreSQL技术高峰论坛</a>
					<div>
						作为世界上最先进的开源数据库, PostgreSQL市场占有率不断提升.在中国,PostgreSQL发展备受关注,大型互联网公司.软件公司纷纷投入到PostgreSQL的应用开发及内核研究工作中.基于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Zl9kz.html" rel="bookmark" class="title">php中常用的预定义变量小结&lowbar;php技巧</a>
					<div>
						复制代码 代码如下: &lt;?php echo &quot;当前操作系统信息&quot;.PHP_OS.&quot;&lt;br/&gt;&quot;; echo '本文件路径和文件名为:'.__F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWAP5z.html" rel="bookmark" class="title">网站建设项目合同撰写</a>
					<div>
						网站建设合同是在网站建设项目中,企业(需要建网站方)和承建方(专业网站制作公司)之间共同确立的双方在项目中的权利,义务和合作内容的契约文件.本文就网站建设合同应该包含哪些主要内容,应该注意一些什么逐个 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
